#include "K30HugCosmeticHandler.h"
#include "Engine/HitResult.h"
#include "Components/BoxComponent.h"

class ADBDPlayer;
class UPrimitiveComponent;
class AActor;

void AK30HugCosmeticHandler::OnVault(ADBDPlayer* vaulter)
{

}

void AK30HugCosmeticHandler::OnBeginOverlap(UPrimitiveComponent* overlappedComponent, AActor* other, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

AK30HugCosmeticHandler::AK30HugCosmeticHandler()
{
	this->_box = CreateDefaultSubobject<UBoxComponent>(TEXT("BoxComponent"));
	this->_hugMaximumDuration = 1.000000;
}
